{
	"name": "praktikum",
	"private": true,
	"version": "0.0.1",
	"overrides": {
		"cookie": "^0.7.0"
	},
	"type": "module",
	"prisma": {
		"seed": "node prisma/seed.cjs"
	},
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"format": "prettier --write .",
		"lint": "prettier --check . && eslint ."
	},
	"devDependencies": {
		"@eslint/compat": "^1.3.1",
		"@eslint/js": "^9.32.0",
		"@sveltejs/adapter-auto": "^6.0.1",
		"@sveltejs/kit": "^2.26.1",
		"@sveltejs/vite-plugin-svelte": "^6.1.0",
		"@tailwindcss/postcss": "^4.1.11",
		"@types/node": "^24.1.0",
		"autoprefixer": "^10.4.21",
		"eslint": "^9.32.0",
		"eslint-config-prettier": "^10.1.8",
		"eslint-plugin-svelte": "^3.11.0",
		"globals": "^16.3.0",
		"postcss": "^8.5.6",
		"prettier": "^3.6.2",
		"prettier-plugin-svelte": "^3.4.0",
		"prisma": "^6.19.0",
		"svelte": "^5.36.17",
		"svelte-check": "^4.3.0",
		"tailwindcss": "^3.4.17",
		"ts-node": "^10.9.2",
		"typescript": "^5.8.3",
		"typescript-eslint": "^8.38.0",
		"vite": "^7.0.6",
		"vite-plugin": "^0.0.0"
	},
	"dependencies": {
		"@prisma/adapter-better-sqlite3": "^7.0.0",
		"@prisma/client": "^6.19.0",
		"@prisma/migrate": "^7.0.0",
		"@sveltejs/adapter-node": "^5.2.13",
		"bcryptjs": "^3.0.2"
	}
}
